{
===============================================================================
  Copyright (©) 2002. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 01-10-2002
  Versión actual: 1.0.1
  Fecha versión actual: 28-05-2004
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
    28/05/2004    Se han adaptado los frames para que se autoconfiguren
===============================================================================
}

unit RdxFrameComisiones;

{$I ..\COMPILE.INC}

interface

uses
  Windows, Classes, RxMemDS,
  RdxFrame, RdxDBFrame, IBCustomDataSet, DB, Entidades;

type
  TRdxFrameComisiones = class(TRdxDBFrame)
  private
    FTablaFacturas : TIBDataSet;
    FTablaFacturasMem : TRxMemoryData;
    FTablaVendedores : TIBDataSet;
    FTablaVendedoresMem : TRxMemoryData;
  protected
    FFechaIni : TDateTime;
    FFechaFin : TDateTime;
    procedure SetTablaFacturas (Value : TIBDataSet);
    procedure SetTablaVendedores (Value : TIBDataSet);
    procedure SetFechaIni (Value : TDateTime);
    procedure SetFechaFin (Value : TDateTime);

    procedure BuscarFacturas; virtual; abstract;
    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    property TablaFacturas: TIBDataSet read FTablaFacturas write SetTablaFacturas;
    property TablaFacturasMem : TRxMemoryData read FTablaFacturasMem write FTablaFacturasMem;
    property TablaVendedores: TIBDataSet read FTablaVendedores write SetTablaVendedores;
    property TablaVendedoresMem : TRxMemoryData read FTablaVendedoresMem write FTablaVendedoresMem;
    property FechaIni : TDateTime read FFechaIni write SetFechaIni;
    property FechaFin : TDateTime read FFechaFin write SetFechaFin;

    constructor Create (AOwner : TComponent); override;
  published
  end;

implementation

{$R *.DFM}

uses
  Mensajes, StrFunc, Literales, Configuracion
  {$IFDEF RDX_D6}, Variants{$ENDIF};

{ TRdxFrameArticulos }

constructor TRdxFrameComisiones.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FTablaFacturas := NIL;
  FTablaFacturasMem := NIL;
  FTablaVendedores := NIL;
  FTablaVendedoresMem := NIL;  
end;

procedure TRdxFrameComisiones.SetFechaIni(Value: TDateTime);
begin
  if ((esCadenaVacia(Value)) or (FFechaIni = Value)) then
    exit;

    FFechaIni := Value;
    BuscarFacturas;
end;

procedure TRdxFrameComisiones.SetFechaFin(Value: TDateTime);
begin
if ((esCadenaVacia(Value)) or (FFechaFin = Value)) then
    exit;

    FFechaFin := Value;
    BuscarFacturas;
end;

procedure TRdxFrameComisiones.SetTablaFacturas(Value: TIBDataSet);
begin
  if (FTablaFacturas <> Value) then
  begin
    FTablaFacturas := Value;
  end;
end;

procedure TRdxFrameComisiones.SetTablaVendedores(Value: TIBDataSet);
begin
  if (FTablaVendedores <> Value) then
  begin
    FTablaVendedores := Value;
  end;
end;

function TRdxFrameComisiones.CambiarEntidad(EntidadAnterior,
  Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;

end.
